Вы находитесь здесь

TS-Doctor 2

Informations

Creator Message
dvbtecman Anonymous

Warning

This installer is a beta script. It means that it might not work as expected

Informations

Platforms:
Downloads: 3207
Wine: 2.22

Feedbacks

Description

The TS-Doctor is a universal tool for processing, cutting and repair of recordings from Sat-, Cable and DVB-T Receivers. It is simple to operate and its functions are quick and reliable. Website.

Without a license file, there is a 30 days trial time and a 500 MB file size limitation.

Appdb.winehq.org

Source code

#!/bin/bash
#
# CHANGELOG
# [dvbtecman] (2016)
#   First script
# [Dadu042] (2020-01-01)
#   Wine 1.8.2 -> 2.22

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
TITLE="TS-Doctor 2"

PREFIX="TSDoctor2"
WINEVERSION="2.22"

POL_SetupWindow_Init
POL_SetupWindow_SetID
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
   
Set_OS winxp
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"

# Install dependencies
POL_Call POL_Install_quartz

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    POL_SetupWindow_browse "Please select the installation file to run." "TS-Doctor 2.0"
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    POL_Wine "$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    POL_System_TmpCreate "tsdoctor"
    POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
        "English|Deutsch|Français" "|"
    case "$APP_ANSWER" in
         "English")
             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
         "Deutsch")
             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
         "Français")
             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
    *)
        exit 1;;
    esac
   
    cd "$POL_System_TmpDir"
    POL_Download "$DOWNLOAD_LINK" 
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
    mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_System_TmpDelete
fi

POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
   
POL_SetupWindow_Close
exit

Contributions

Filters:

Contribute
Member Message
nexttoyou Wednesday 3 February 2021 at 18:17
nexttoyou Anonymous

Message

 

While this script finally installs TS-Doctor 2.x again if using PlayOnMac 4.4.2 a new problem shows up in combination with the DirectX 9.0c runtime. TS-Doctor refuses to show any videos (which complicates cutting them quite a bit). During the first run of the program a small error window is shown indicating that the DirectShow implementation of Wine would not be compatible with TS-Doctor and that one should install the DirectX 9.0c runtime using Winetricks or CrossOver.

 

Unfortunately, the download URL for DirectX is not valid anymore (http://download.microsoft.com/download/E/E/1/EE17FF74-6C45-4575-9CF4-7FC2597ACD18/directx_feb2010_redist.exe). Copying the original directx_feb2010_redist.exe file coming from a backup to $home/Library/PlayOnMac/ressources doesn’t help either, so I’m stuck. Would anybody with a much better knowledge than myself be able to help me out there as using TS-Doctor 2 under a CrossOver trial works quite well?

 

Addendum: macOS Big Sur (11.2) on an iMac 2017 (Intel Core i7)

Replies

Edited by nexttoyou

Dadu042 Thursday 2 January 2020 at 8:49
Dadu042

Information

This update has been approved by the team.

Differences

@@ -1,10 +1,18 @@
 #!/bin/bash
+#
+# CHANGELOG
+# [dvbtecman] (2016)
+#   First script
+# [Dadu042] (2020-01-01)
+#   Wine 1.8.2 -> 2.22
+
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-TITLE="TS-Doctor 2.0"
+TITLE="TS-Doctor 2"
+
 PREFIX="TSDoctor2"
-WINEVERSION="1.8.2"   
-   
+WINEVERSION="2.22"
+
 POL_SetupWindow_Init
 POL_SetupWindow_SetID
 POL_Debug_Init

New source code

#!/bin/bash
#
# CHANGELOG
# [dvbtecman] (2016)
#   First script
# [Dadu042] (2020-01-01)
#   Wine 1.8.2 -> 2.22

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
TITLE="TS-Doctor 2"

PREFIX="TSDoctor2"
WINEVERSION="2.22"

POL_SetupWindow_Init
POL_SetupWindow_SetID
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
   
Set_OS winxp
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"

# Install dependencies
POL_Call POL_Install_quartz

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    POL_SetupWindow_browse "Please select the installation file to run." "TS-Doctor 2.0"
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    POL_Wine "$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    POL_System_TmpCreate "tsdoctor"
    POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
        "English|Deutsch|Français" "|"
    case "$APP_ANSWER" in
         "English")
             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
         "Deutsch")
             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
         "Français")
             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
    *)
        exit 1;;
    esac
   
    cd "$POL_System_TmpDir"
    POL_Download "$DOWNLOAD_LINK" 
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
    mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_System_TmpDelete
fi

POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
   
POL_SetupWindow_Close
exit

Replies

herregaarden Wednesday 18 January 2017 at 13:31
herregaarden Anonymous

Message

Thank you for this, it works on macOS 10.12.2, POM 4.2.10 and a registered version of TS-Doctor 2.0.64.

But i am having a bit of a problem. After clicking on the +1sec button a few times the program crashes.

 

Error log:

Unhandled exception: page fault on read access to 0x00000019 in 32-bit code (0x0a651ea2).
Register dump:
 CS:001b SS:0023 DS:0023 ES:0023 FS:11bf GS:000f
 EIP:0a651ea2 ESP:0f24f29c EBP:0f24f2dc EFLAGS:00010202(  R- --  I   - - - )
 EAX:00000019 EBX:0a7eead0 ECX:00000012 EDX:0a7eeb18
 ESI:00000019 EDI:0a7eead0
Stack dump:
0x0f24f29c:  0f24f514 0a7eeac8 0a802880 0a652037
0x0f24f2ac:  00000019 0a618202 0a7eead0 00000019
0x0f24f2bc:  0f24f514 0a7fac2c 0a802880 0a7eeac8
0x0f24f2cc:  0f24f2bc 0f24f338 0a671c96 00000001
0x0f24f2dc:  0f24f344 0a61815b 0a7fac28 0a7fac28
0x0f24f2ec:  00000019 0f24f3a0 0a7fac78 00000000
0237: sel=11bf base=80020000 limit=00000fff 32-bit rw-
Backtrace:
=>0 0x0a651ea2 in splitter.ax (+0x41ea2) (0x0f24f2dc)
  1 0x0a61815b in splitter.ax (+0x815a) (0x0f24f344)
  2 0x0a628de1 in splitter.ax (+0x18de0) (0x0f24f388)
  3 0x0a628729 in splitter.ax (+0x18728) (0x0f24f3c8)
  4 0x0a6629b9 in splitter.ax (+0x529b8) (0x0f24f46c)
  5 0x0a663bcb in splitter.ax (+0x53bca) (0x0f24f624)
  6 0x0a664645 in splitter.ax (+0x54644) (0x0f24f63c)
  7 0x0a64e3a7 in splitter.ax (+0x3e3a6) (0x0f24f658)
  8 0x7bca6efb call_thread_func+0x6a() in ntdll (0x0f24f708)
  9 0x7bca3a92 call_thread_entry_point+0x11() in ntdll (0x0f24f728)
  10 0x7bcb6a15 start_thread+0x184() in ntdll (0x0f24ff88)
  11 0x9f99510b _pthread_body+0xb7() in libsystem_pthread.dylib (0x0f24ffa8)
  12 0x9f995053 _pthread_start+0xf2() in libsystem_pthread.dylib (0x0f24ffc8)
  13 0x9f99490e thread_start+0x21() in libsystem_pthread.dylib (0x0f24ffec)
0x0a651ea2: repe movsl    (%esi),%es:(%edi)
Modules:
Module    Address            Debug info    Name (353 modules)
PE      400000- 240c000    Deferred        tsdoctor
PE     2b60000- 2b66000    Deferred        ib_util
PE     5c60000- 6013000    Deferred        fbembed
PE     7bf0000- 7c98000    Deferred        icuuc30
PE     7ca0000- 7e1f000    Deferred        icudt30
PE     8040000- 8124000    Deferred        fbintl
PE     87f0000- 8858000    Deferred        icuin30
PE     a610000- a69b000    Export          splitter.ax
PE     a6a0000- a6b7000    Deferred        mkzlib
PE     a6c0000- a6cc000    Deferred        mkunicode
PE     a8f0000- a9fb000    Deferred        lavvideo.ax
PE     aa00000- aaa4000    Deferred        avutil-lav-55
PE     aab0000- bb53000    Deferred        avcodec-lav-57
PE     bb60000- bb8e000    Deferred        avresample-lav-3
PE     bb90000- bc24000    Deferred        swscale-lav-4
PE     bc30000- bc65000    Deferred        avfilter-lav-6
PE     bd70000- bdb4000    Deferred        lavaudio.ax
PE     bdc0000- bf70000    Deferred        avformat-lav-57
PE     c180000- c1ab000    Deferred        ts
PE    10000000-10449000    Deferred        ocr
PE    35500000-35708000    Deferred        quartz
PE    40001000-401bd000    Deferred        libwine.1.0.dylib
ELF    405aa000-405be000    Deferred        psapi<elf>
  \-PE    405b0000-405bd000    \               psapi
ELF    405d5000-4062f000    Deferred        usp10<elf>
  \-PE    405e0000-40629000    \               usp10
ELF    4062f000-40643000    Deferred        api-ms-win-core-synch-l1-2-0<elf
PE    40630000-40642000    Deferred        api-ms-win-core-synch-l1-2-0
ELF    40643000-40657000    Deferred        api-ms-win-core-fibers-l1-1-1<el
PE    40650000-40656000    Deferred        api-ms-win-core-fibers-l1-1-1
PE    40657000-4066b000    Deferred        api-ms-win-core-localization-l1-
PE    40660000-4066a000    Deferred        api-ms-win-core-localization-l1-C:\windows\system32\api-ms-win-core-localization-l1-2-1.dll
ELF    4066b000-40683000    Deferred        midimap<elf>
  \-PE    40670000-40681000    \               midimap
ELF    406e4000-406fb000    Deferred        olepro32<elf>
  \-PE    406f0000-406fa000    \               olepro32
ELF    42200000-42232000    Deferred        mmdevapi<elf>
  \-PE    42210000-42225000    \               mmdevapi
ELF    42232000-42274000    Deferred        winecoreaudio<elf>
  \-PE    42240000-42263000    \               winecoreaudio
ELF    42282000-422a0000    Deferred        version<elf>
  \-PE    42290000-4229e000    \               version
ELF    422a0000-422f5000    Deferred        winspool<elf>
  \-PE    422b0000-422eb000    \               winspool
ELF    42400000-4249f000    Deferred        advapi32<elf>
  \-PE    42410000-42487000    \               advapi32
ELF    4249f000-42619000    Deferred        comctl32<elf>
  \-PE    424a0000-425ee000    \               comctl32
ELF    42619000-427d9000    Deferred        user32<elf>
  \-PE    42620000-4278e000    \               user32
ELF    427d9000-427f6000    Deferred        imagehlp<elf>
  \-PE    427e0000-427f3000    \               imagehlp
ELF    448b8000-44a20000    Deferred        gdi32<elf>
  \-PE    448c0000-449b1000    \               gdi32
ELF    44a20000-44b44000    Deferred        comdlg32<elf>
  \-PE    44a30000-44b22000    \               comdlg32
ELF    44b44000-44dfa000    Deferred        shell32<elf>
  \-PE    44b50000-44db9000    \               shell32
ELF    44dfa000-44ea5000    Deferred        shlwapi<elf>
  \-PE    44e00000-44e7f000    \               shlwapi
ELF    44ea5000-44ef7000    Deferred        d3d9<elf>
  \-PE    44eb0000-44eea000    \               d3d9
ELF    44ef7000-45103000    Deferred        wined3d<elf>
  \-PE    44f00000-450e6000    \               wined3d
ELF    45103000-451f4000    Deferred        msvcrt<elf>
  \-PE    45110000-451cd000    \               msvcrt
ELF    451f4000-45235000    Deferred        netapi32<elf>
  \-PE    45200000-4522a000    \               netapi32
ELF    45235000-45267000    Deferred        iphlpapi<elf>
  \-PE    45240000-45261000    \               iphlpapi
ELF    45267000-452a8000    Deferred        ws2_32<elf>
  \-PE    45270000-452a1000    \               ws2_32
ELF    452a8000-45462000    Deferred        ole32<elf>
  \-PE    452b0000-4541f000    \               ole32
ELF    45462000-45521000    Deferred        rpcrt4<elf>
  \-PE    45470000-454fe000    \               rpcrt4
ELF    45521000-456c2000    Deferred        oleaut32<elf>
  \-PE    45530000-4566e000    \               oleaut32
ELF    456c2000-456d6000    Deferred        shfolder<elf>
  \-PE    456d0000-456d5000    \               shfolder
ELF    456d6000-45776000    Deferred        wininet<elf>
  \-PE    456e0000-45764000    \               wininet
ELF    45776000-457a3000    Deferred        mpr<elf>
  \-PE    45780000-4579e000    \               mpr
ELF    457a3000-45879000    Deferred        winmm<elf>
  \-PE    457b0000-45869000    \               winmm
ELF    45879000-458ae000    Deferred        msacm32<elf>
  \-PE    45880000-458a9000    \               msacm32
ELF    458ae000-458cb000    Deferred        wsock32<elf>
  \-PE    458b0000-458c9000    \               wsock32
PE    458cb000-4594e000    Deferred        libfreetype.6.dylib
ELF    4594e000-45978000    Deferred        imm32<elf>
  \-PE    45950000-45973000    \               imm32
ELF    45978000-45a48000    Deferred        winemac<elf>
  \-PE    45980000-45a1e000    \               winemac
ELF    45d5b000-45d9e000    Deferred        uxtheme<elf>
  \-PE    45d60000-45d96000    \               uxtheme
ELF    45d9e000-45deb000    Deferred        msctf<elf>
  \-PE    45da0000-45dd8000    \               msctf
ELF    45f2c000-45f44000    Deferred        wtsapi32<elf>
  \-PE    45f30000-45f42000    \               wtsapi32
ELF    45f44000-45f58000    Deferred        msimg32<elf>
  \-PE    45f50000-45f57000    \               msimg32
ELF    45f58000-45f6c000    Deferred        security<elf>
  \-PE    45f60000-45f6b000    \               security
ELF    45f6c000-45fb1000    Deferred        secur32<elf>
  \-PE    45f70000-45faa000    \               secur32
PE    46069000-4608c000    Deferred        libcginterfaces.dylib
ELF    47b71000-47b88000    Deferred        dwmapi<elf>
  \-PE    47b80000-47b86000    \               dwmapi
ELF    47b88000-47ba6000    Deferred        fwpuclnt<elf>
  \-PE    47b90000-47ba1000    \               fwpuclnt
ELF    47ba6000-47bba000    Deferred        normaliz<elf>
  \-PE    47bb0000-47bb9000    \               normaliz
ELF    47bba000-47bf7000    Deferred        devenum<elf>
  \-PE    47bc0000-47be3000    \               devenum
PE    48168000-48187000    Deferred        libexpat.1.dylib
ELF    48187000-481a4000    Deferred        msacm32<elf>
  \-PE    48190000-481a2000    \               msacm32
ELF    48575000-48589000    Deferred        api-ms-win-core-sysinfo-l1-2-1<e
PE    48580000-48588000    Deferred        api-ms-win-core-sysinfo-l1-2-1
PE    489b2000-48b8d000    Deferred        glengine
PE    48b8d000-48fc5000    Deferred        libglprogrammability.dylib
PE    49100000-49136000    Deferred        glrendererfloat
PE    4a000000-4a73e000    Deferred        appleintelhd5000graphicsgldriver
ELF    4bba6000-4bbdc000    Deferred        msvfw32<elf>
  \-PE    4bbb0000-4bbd7000    \               msvfw32
PE    4c3a0000-4c404000    Deferred        coremidi
ELF    4c461000-4c564000    Deferred        msvcr80<elf>
  \-PE    4c470000-4c537000    \               msvcr80
ELF    4c60c000-4c620000    Deferred        avicap32<elf>
  \-PE    4c610000-4c61f000    \               avicap32
ELF    4caaf000-4cb21000    Deferred        dsound<elf>
  \-PE    4cab0000-4cb08000    \               dsound
ELF    7a800000-7a962000    Deferred        opengl32<elf>
  \-PE    7a810000-7a922000    \               opengl32
ELF    7b800000-7bab7000    Deferred        kernel32<elf>
  \-PE    7b810000-7ba7b000    \               kernel32
ELF    7bc00000-7bd42000    Stabs           ntdll<elf>
  \-PE    7bc10000-7bd03000    \               ntdll
ELF    7bf00000-7bf04000    Deferred        <wine-loader>
PE    90028000-9037e000    Deferred        rawcamera
PE    9037e000-90bd8000    Deferred        geforcegldriver
PE    90bd8000-91503000    Deferred        libclh.dylib
PE    91758000-91759000    Deferred        accelerate
PE    91771000-91dd8000    Deferred        vimage
PE    91dd8000-91f25000    Deferred        libblas.dylib
PE    91f25000-91f38000    Deferred        libbnns.dylib
PE    91f38000-922d4000    Deferred        liblapack.dylib
PE    922d4000-922eb000    Deferred        liblinearalgebra.dylib
PE    922eb000-92306000    Deferred        libsparseblas.dylib
PE    92306000-92454000    Deferred        libvdsp.dylib
PE    92454000-92536000    Deferred        libvmisc.dylib
PE    92536000-92537000    Deferred        veclib
PE    92537000-93294000    Deferred        appkit
PE    93294000-93295000    Deferred        applicationservices
PE    93295000-93304000    Deferred        ats
PE    9339c000-934ca000    Deferred        libfontparser.dylib
PE    934ca000-93517000    Deferred        libfontregistry.dylib
PE    93517000-9354b000    Deferred        libtruetypescaler.dylib
PE    935b7000-93668000    Deferred        colorsync
PE    93668000-936bf000    Deferred        hiservices
PE    936bf000-936cf000    Deferred        langanalysis
PE    936cf000-93728000    Deferred        printcore
PE    93728000-937c3000    Deferred        qd
PE    937c3000-937d0000    Deferred        speechsynthesis
PE    937d0000-939c2000    Deferred        audiotoolbox
PE    939c2000-939c3000    Deferred        audiounit
PE    939c3000-93d77000    Deferred        cfnetwork
PE    93d77000-93d78000    Deferred        carbon
PE    93d78000-93d82000    Deferred        carbonsound
PE    93d82000-93d87000    Deferred        commonpanels
PE    93d87000-94125000    Deferred        hitoolbox
PE    94125000-94179000    Deferred        htmlrendering
PE    94179000-9417d000    Deferred        help
PE    9417d000-94183000    Deferred        imagecapture
PE    94183000-94223000    Deferred        ink
PE    94223000-9425f000    Deferred        navigationservices
PE    9425f000-9427c000    Deferred        openscripting
PE    9427c000-94282000    Deferred        print
PE    94282000-94285000    Deferred        securityhi
PE    94285000-9428c000    Deferred        speechrecognition
PE    9428c000-9428d000    Deferred        cocoa
PE    9428d000-94327000    Deferred        coreaudio
PE    94327000-9433a000    Deferred        corebluetooth
PE    9433a000-94625000    Deferred        coredata
PE    9462c000-94acd000    Deferred        corefoundation
PE    94acd000-95176000    Deferred        coregraphics
PE    95176000-953ac000    Deferred        coreimage
PE    9551b000-9551c000    Deferred        coreservices
PE    9551c000-9556f000    Deferred        ae
PE    9556f000-95851000    Deferred        carboncore
PE    95851000-95885000    Deferred        dictionaryservices
PE    95885000-9588d000    Deferred        fsevents
PE    9588d000-959b1000    Deferred        launchservices
PE    959b1000-95a60000    Deferred        metadata
PE    95a60000-95ac1000    Deferred        osservices
PE    95ac1000-95b33000    Deferred        searchkit
PE    95b33000-95b7a000    Deferred        sharedfilelist
PE    95b7a000-95cbe000    Deferred        coretext
PE    95cbe000-95cf6000    Deferred        corevideo
PE    95cf6000-95d66000    Deferred        corewlan
PE    95d66000-95d70000    Deferred        diskarbitration
PE    95d73000-960e1000    Deferred        foundation
PE    960e1000-96112000    Deferred        gss
PE    96112000-961b5000    Deferred        iobluetooth
PE    961b5000-96251000    Deferred        iokit
PE    96251000-96258000    Deferred        iosurface
PE    962aa000-96407000    Deferred        imageio
PE    96407000-9640b000    Deferred        libgif.dylib
PE    9640b000-96504000    Deferred        libjp2.dylib
PE    96504000-96528000    Deferred        libjpeg.dylib
PE    96528000-9654f000    Deferred        libpng.dylib
PE    9654f000-96552000    Deferred        libradiance.dylib
PE    96552000-965a9000    Deferred        libtiff.dylib
PE    96d40000-96d59000    Deferred        kerberos
PE    972c6000-97319000    Deferred        metal
PE    97319000-97322000    Deferred        netfs
PE    97322000-9732b000    Deferred        libcldcpuengine.dylib
PE    974fe000-9754b000    Deferred        opencl
PE    9754b000-97565000    Deferred        cfopendirectory
PE    97565000-97571000    Deferred        opendirectory
PE    97571000-97574000    Deferred        libcvmspluginsupport.dylib
PE    97574000-97578000    Deferred        libcorefscache.dylib
PE    97578000-9757c000    Deferred        libcorevmclient.dylib
PE    9757c000-97585000    Deferred        libgfxshared.dylib
PE    97585000-97592000    Deferred        libgl.dylib
PE    97592000-975d0000    Deferred        libglimage.dylib
PE    97755000-97799000    Deferred        libglu.dylib
PE    98167000-98176000    Deferred        opengl
PE    98de0000-98fdf000    Deferred        quartzcore
PE    99294000-995d0000    Deferred        security
PE    995d0000-99644000    Deferred        securityfoundation
PE    99644000-99648000    Deferred        servicemanagement
PE    99648000-996bb000    Deferred        systemconfiguration
PE    9b409000-9b425000    Deferred        appcontainer
PE    9b425000-9b433000    Deferred        appsandbox
PE    9b433000-9b458000    Deferred        apple80211
PE    9b458000-9b463000    Deferred        applefscompression
PE    9b52e000-9b56c000    Deferred        applejpeg
PE    9b5e5000-9b669000    Deferred        backup
PE    9b6a8000-9b6b2000    Deferred        commonauth
PE    9ba12000-9ba24000    Deferred        coreemoji
PE    9bac1000-9baf3000    Deferred        coreservicesinternal
PE    9baf3000-9bb7e000    Deferred        coresymbolication
PE    9bb7e000-9bcad000    Deferred        coreui
PE    9bcad000-9bd3e000    Deferred        coreutils
PE    9bd3e000-9bd9f000    Deferred        corewifi
PE    9bd9f000-9bdae000    Deferred        crashreportersupport
PE    9bdae000-9bdb9000    Deferred        dfrfoundation
PE    9bdb9000-9be2c000    Deferred        datadetectorscore
PE    9be2c000-9be6d000    Deferred        debugsymbols
PE    9be6d000-9bf8d000    Deferred        desktopservicespriv
PE    9c004000-9c436000    Deferred        facecore
PE    9c436000-9c437000    Deferred        libmetal_timestamp.dylib
PE    9c442000-9c44d000    Deferred        libgpusupportmercury.dylib
PE    9c44d000-9c469000    Deferred        generationalstorage
PE    9cadf000-9cb54000    Deferred        heimdal
PE    9ccec000-9ccf3000    Deferred        ioaccelerator
PE    9ccf3000-9cd1a000    Deferred        iconservices
PE    9cd2b000-9ceea000    Deferred        languagemodeling
PE    9ceec000-9cf15000    Deferred        multitouchsupport
PE    9cf15000-9cf20000    Deferred        netauth
PE    9cf20000-9cf5e000    Deferred        performanceanalysis
PE    9cf5e000-9cf78000    Deferred        protocolbuffer
PE    9cf88000-9cfac000    Deferred        remoteviewservices
PE    9cfac000-9cfaf000    Deferred        seccodewrapper
PE    9cfaf000-9cfdd000    Deferred        sharing
PE    9cffc000-9d078000    Deferred        skylight
PE    9d078000-9d086000    Deferred        speechrecognitioncore
PE    9d086000-9d0ee000    Deferred        symbolication
PE    9d0ee000-9d0f5000    Deferred        tcc
PE    9d0f5000-9d30e000    Deferred        textureio
PE    9d30e000-9d310000    Deferred        trustevaluationagent
PE    9d310000-9d483000    Deferred        uifoundation
PE    9d665000-9d723000    Deferred        viewbridge
PE    9d723000-9d72a000    Deferred        xpcservice
PE    9d72a000-9d72d000    Deferred        loginsupport
PE    9e229000-9e245000    Deferred        libcrfsuite.dylib
PE    9e245000-9e24f000    Deferred        libchinesetokenizer.dylib
PE    9e24f000-9e251000    Deferred        libdiagnosticmessagesclient.dyli
PE    9e251000-9e483000    Deferred        libfosl_dynamic.dylib
PE    9e483000-9e48b000    Deferred        libmatch.1.dylib
PE    9e48b000-9e48c000    Deferred        libopenscriptingutil.dylib
PE    9e48c000-9e491000    Deferred        libscreenreader.dylib
PE    9e491000-9e493000    Deferred        libsystem.b.dylib
PE    9e493000-9e4c0000    Deferred        libarchive.2.dylib
PE    9e4c0000-9e605000    Deferred        libate.dylib
PE    9e605000-9e606000    Deferred        libauto.dylib
PE    9e606000-9e617000    Deferred        libbsm.0.dylib
PE    9e617000-9e625000    Deferred        libbz2.1.0.dylib
PE    9e625000-9e67c000    Deferred        libc++.1.dylib
PE    9e67c000-9e6a0000    Deferred        libc++abi.dylib
PE    9e6a0000-9e6b2000    Deferred        libcmph.dylib
PE    9e6b2000-9e6c6000    Deferred        libcompression.dylib
PE    9e6c6000-9e6c7000    Deferred        libcoretls.dylib
PE    9e6c7000-9e6c9000    Deferred        libcoretls_cfhelpers.dylib
PE    9e76b000-9e85b000    Deferred        libcrypto.0.9.8.dylib
PE    9e85b000-9e8b1000    Deferred        libcups.2.dylib
PE    9e8b1000-9e8b2000    Deferred        libenergytrace.dylib
PE    9e8b3000-9e8b8000    Deferred        libheimdal-asn1.dylib
PE    9e8b8000-9e9a9000    Deferred        libiconv.2.dylib
PE    9e9a9000-9ebc7000    Deferred        libicucore.a.dylib
PE    9ebc7000-9ebc9000    Deferred        liblangid.dylib
PE    9ebc9000-9ebe3000    Deferred        liblzma.5.dylib
PE    9ebe3000-9ebf9000    Deferred        libmarisa.dylib
PE    9ebf9000-9eead000    Deferred        libmecabra.dylib
PE    9eead000-9ef25000    Deferred        libnetwork.dylib
PE    9ef25000-9f2e9000    Deferred        libobjc.a.dylib
PE    9f2e9000-9f2ed000    Deferred        libpam.2.dylib
PE    9f2ed000-9f31c000    Deferred        libpcap.a.dylib
PE    9f31c000-9f339000    Deferred        libresolv.9.dylib
PE    9f339000-9f371000    Deferred        libsandbox.1.dylib
PE    9f371000-9f4b3000    Deferred        libsqlite3.dylib
PE    9f591000-9f5a0000    Deferred        libxar.1.dylib
PE    9f5a0000-9f685000    Deferred        libxml2.2.dylib
PE    9f685000-9f6ae000    Deferred        libxslt.1.dylib
PE    9f6ae000-9f6bd000    Deferred        libz.1.dylib
PE    9f6cb000-9f6d0000    Deferred        libcache.dylib
PE    9f6d0000-9f6db000    Deferred        libcommoncrypto.dylib
PE    9f6db000-9f6e1000    Deferred        libcompiler_rt.dylib
PE    9f6e1000-9f6ea000    Deferred        libcopyfile.dylib
PE    9f6ea000-9f751000    Deferred        libcorecrypto.dylib
PE    9f751000-9f780000    Deferred        libdispatch.dylib
PE    9f780000-9f786000    Deferred        libdyld.dylib
PE    9f786000-9f787000    Deferred        libkeymgr.dylib
PE    9f787000-9f794000    Deferred        libkxld.dylib
PE    9f794000-9f795000    Deferred        liblaunch.dylib
PE    9f795000-9f79c000    Deferred        libmacho.dylib
PE    9f79c000-9f79f000    Deferred        libquarantine.dylib
PE    9f79f000-9f7a1000    Deferred        libremovefile.dylib
PE    9f7a1000-9f7b9000    Deferred        libsystem_asl.dylib
PE    9f7b9000-9f7ba000    Deferred        libsystem_blocks.dylib
PE    9f7ba000-9f849000    Deferred        libsystem_c.dylib
PE    9f849000-9f84d000    Deferred        libsystem_configuration.dylib
PE    9f84d000-9f851000    Deferred        libsystem_coreservices.dylib
PE    9f851000-9f86a000    Deferred        libsystem_coretls.dylib
PE    9f86a000-9f871000    Deferred        libsystem_dnssd.dylib
PE    9f871000-9f899000    Deferred        libsystem_info.dylib
PE    9f899000-9f8bb000    Deferred        libsystem_kernel.dylib
PE    9f8bb000-9f908000    Deferred        libsystem_m.dylib
PE    9f908000-9f923000    Deferred        libsystem_malloc.dylib
PE    9f923000-9f977000    Deferred        libsystem_network.dylib
PE    9f977000-9f981000    Deferred        libsystem_networkextension.dylib
PE    9f981000-9f98a000    Deferred        libsystem_notify.dylib
PE    9f98a000-9f991000    Deferred        libsystem_platform.dylib
PE    9f991000-9f99b000    Stabs           libsystem_pthread.dylib
PE    9f99b000-9f99f000    Deferred        libsystem_sandbox.dylib
PE    9f99f000-9f9a1000    Deferred        libsystem_secinit.dylib
PE    9f9a1000-9f9a9000    Deferred        libsystem_symptoms.dylib
PE    9f9a9000-9f9ca000    Deferred        libsystem_trace.dylib
PE    9f9ca000-9f9d1000    Deferred        libunwind.dylib
PE    9f9d1000-9f9f8000    Deferred        libxpc.dylib
Threads:
process  tid      prio (all id:s are in hex)
00000008 (D) C:\Program Files\Cypheros\TSDoctor2\TSDoctor.exe
    00000066    0
    00000065    0
    00000064    0
    00000063    0
    0000003d    0
    00000062    0
    0000005c    1 <==
    0000005b    0
    0000005a   15
    00000059   15
    00000057    0
    00000056    0
    0000004f    0
    0000004e    0
    0000004d    0
    0000004c    0
    0000004b    0
    0000004a    0
    00000049    0
    00000048    0
    00000041    0
    00000043    0
    0000000d    0
    0000003a    0
    00000017    0
    00000016    0
    00000042    0
    0000003c    0
    0000003e    0
    0000000b    0
    00000044    0
    00000047    2
    00000046    2
    00000045    0
    00000037    0
    00000036    0
    00000035    0
    00000034    0
    00000033   -1
    00000032    0
    00000031    0
    00000030    0
    0000002f    0
    0000002e   -1
    0000002d    0
    0000002c    0
    0000002b    0
    0000002a    0
    00000029    0
    00000028    0
    00000027    0
    00000009    0
0000000e services.exe
    0000001e    0
    0000001d    0
    00000014    0
    00000010    0
    0000000f    0
00000012 winedevice.exe
    0000001c    0
    00000019    0
    00000018    0
    00000013    0
0000001a plugplay.exe
    00000020    0
    0000001f    0
    0000001b    0
00000021 explorer.exe
    00000025    0
    00000024    0
    00000023    0
    00000022    0
System information:
    Wine build: wine-1.8.2
    Platform: i386
    Version: Windows XP
    Host system: Darwin
    Host version: 16.3.0

Replies

Friday 2 August 2019 at 18:03
http://wiki.playonlinux.com/index.php/How_to_Read_Debug_Logs
dvbtecman Friday 12 August 2016 at 11:03
dvbtecman Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Fix for not working download.
 

Differences

@@ -0,0 +1,56 @@
+#!/bin/bash
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+TITLE="TS-Doctor 2.0"
+PREFIX="TSDoctor2"
+WINEVERSION="1.8.2"   
+   
+POL_SetupWindow_Init
+POL_SetupWindow_SetID
+POL_Debug_Init
+
+POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
+   
+Set_OS winxp
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "$WINEVERSION"
+
+# Install dependencies
+POL_Call POL_Install_quartz
+
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+   
+if [ "$INSTALL_METHOD" = "LOCAL" ]
+then
+    POL_SetupWindow_browse "Please select the installation file to run." "TS-Doctor 2.0"
+    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
+    POL_Wine "$APP_ANSWER"
+elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
+then
+    POL_System_TmpCreate "tsdoctor"
+    POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
+        "English|Deutsch|Français" "|"
+    case "$APP_ANSWER" in
+         "English")
+             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
+         "Deutsch")
+             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
+         "Français")
+             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
+    *)
+        exit 1;;
+    esac
+   
+    cd "$POL_System_TmpDir"
+    POL_Download "$DOWNLOAD_LINK" 
+    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
+    EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
+    mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
+    POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
+    POL_System_TmpDelete
+fi
+
+POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
+   
+POL_SetupWindow_Close
+exit

New source code

#!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
TITLE="TS-Doctor 2.0"
PREFIX="TSDoctor2"
WINEVERSION="1.8.2"   
   
POL_SetupWindow_Init
POL_SetupWindow_SetID
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
   
Set_OS winxp
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"

# Install dependencies
POL_Call POL_Install_quartz

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    POL_SetupWindow_browse "Please select the installation file to run." "TS-Doctor 2.0"
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    POL_Wine "$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    POL_System_TmpCreate "tsdoctor"
    POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
        "English|Deutsch|Français" "|"
    case "$APP_ANSWER" in
         "English")
             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
         "Deutsch")
             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
         "Français")
             DOWNLOAD_LINK="http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
    *)
        exit 1;;
    esac
   
    cd "$POL_System_TmpDir"
    POL_Download "$DOWNLOAD_LINK" 
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
    mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_System_TmpDelete
fi

POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
   
POL_SetupWindow_Close
exit

Replies

Friday 2 August 2019 at 18:02
Script approved. I suggest to upgrade Wine to v2.22
Thursday 2 January 2020 at 8:44
Oops, I forgot to click approve.
dvbtecman Friday 12 August 2016 at 10:07
dvbtecman Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -0,0 +1,56 @@
+#!/bin/bash
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+TITLE="TS-Doctor 2.0"
+PREFIX="TSDoctor2"
+WINEVERSION="1.8.2"   
+   
+POL_SetupWindow_Init
+POL_SetupWindow_SetID
+POL_Debug_Init
+
+POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
+   
+Set_OS winxp
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "$WINEVERSION"
+
+# Install dependencies
+POL_Call POL_Install_quartz
+
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+   
+if [ "$INSTALL_METHOD" = "LOCAL" ]
+then
+    POL_SetupWindow_browse "Please select the installation file to run." "TS-Doctor 2.0"
+    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
+    POL_Wine "$APP_ANSWER"
+elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
+then
+    POL_System_TmpCreate "tsdoctor"
+    POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
+        "English|Deutsch|Français" "|"
+    case "$APP_ANSWER" in
+         "English")
+             "http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
+         "Deutsch")
+             "http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
+         "Français")
+             "http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
+    *)
+        exit 1;;
+    esac
+   
+    cd "$POL_System_TmpDir"
+    POL_Download "$DOWNLOAD_LINK" 
+    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
+    EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
+    mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
+    POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
+    POL_System_TmpDelete
+fi
+
+POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
+   
+POL_SetupWindow_Close
+exit

New source code

#!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
TITLE="TS-Doctor 2.0"
PREFIX="TSDoctor2"
WINEVERSION="1.8.2"   
   
POL_SetupWindow_Init
POL_SetupWindow_SetID
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Cypheros" "http://www.cypheros.de/" "dvbtechman" "$PREFIX"
   
Set_OS winxp
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"

# Install dependencies
POL_Call POL_Install_quartz

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    POL_SetupWindow_browse "Please select the installation file to run." "TS-Doctor 2.0"
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    POL_Wine "$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    POL_System_TmpCreate "tsdoctor"
    POL_SetupWindow_menu "$(eval_gettext 'What language do you want to install?')" "Language Selection" \
        "English|Deutsch|Français" "|"
    case "$APP_ANSWER" in
         "English")
             "http://www.cypheros.de/download.php?f=TSDoctor2_Eng.exe";;
         "Deutsch")
             "http://www.cypheros.de/download.php?f=TSDoctor2_Ger.exe";;
         "Français")
             "http://www.cypheros.de/download.php?f=TSDoctor2_Fre.exe";;
    *)
        exit 1;;
    esac
   
    cd "$POL_System_TmpDir"
    POL_Download "$DOWNLOAD_LINK" 
    POL_SetupWindow_wait "Installation in progress." "TS-Doctor 2.0 installation"
    EXE_FILE="${DOWNLOAD_LINK##*/}" # Get everything after last slash.
    mv "$EXE_FILE" "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_Wine "$POL_System_TmpDir/TSDoctor2_install.exe"
    POL_System_TmpDelete
fi

POL_Shortcut "TSDoctor.exe" "TS-Doctor 2.0"
   
POL_SetupWindow_Close
exit

Replies

Anonymous
Friday 12 August 2016 at 11:06
Download should work now